import { SeedSources } from '../seeds';
export declare enum SchemaType {
    workspace = "workspace",
    app = "app"
}
export declare enum Frontend {
    typescript = "typescript"
}
/**
 * TODO: Define schemas for workspaces and apps that can be stored in the store.
 */
export interface AppSchema {
    source: SeedSources;
    appName: string;
    version: string;
    frontend: Frontend;
    providers: string[];
}
export interface WorkspaceSchema {
    source: SeedSources;
}
export interface Schema {
    version: string;
    type: SchemaType;
    value: any;
}
export interface MigrationStep {
    version: string;
    transform(input: Schema): Schema;
}
//# sourceMappingURL=types.d.ts.map